# Class MotifLogo

java.lang.Object
org.snpeff.motif.MotifLogo

public class MotifLogo extends Object
Create a DNA logo for a PWM References: - See WebLogo http://weblogo.berkeley.edu/ - "WebLogo: A Sequence Logo Generator"

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`MotifLogo(Pwm pwm)`

## Method Summary

Modifier and Type
Method
Description
`static double`
`log2(double p)`
Log base 2
`String`
`toStringHtml(int width, int maxHeight, EffectType efectType)`
Return an HTML string that represents the motif.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MotifLogo

public MotifLogo(Pwm pwm)

## Method Details

### log2

public static double log2(double p)
Log base 2

### toStringHtml

public String toStringHtml(int width, int maxHeight, EffectType efectType)
Return an HTML string that represents the motif.